---
title: Purge Peeked Queue Messages
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Queues](https://developers.cloudflare.com/api/go/resources/queues)

[Messages](https://developers.cloudflare.com/api/go/resources/queues/subresources/messages)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Purge Peeked Queue Messages

client.Queues.Messages.Purge(ctx, queueID, params) (\*[MessagePurgeResponse](<https://developers.cloudflare.com/api/go/resources/queues#(resource)%20queues.messages%20%3E%20(model)%20MessagePurgeResponse%20%3E%20(schema)>), error)

POST/accounts/{account\_id}/queues/{queue\_id}/messages/purge

Delete messages from a Queue by using refs returned by the peek endpoint. Purging messages does not count as delivery and does not affect metrics.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Queues Write``Workers Scripts Write`

##### ParametersExpand Collapse

queueID string

A Resource identifier.

maxLength32

[Link to this property](<#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20queue_id%20%3E%20(schema)>)

<details>

<summary>

params MessagePurgeParams

</summary>

AccountID param.Field\[string]

Path param: A Resource identifier.

maxLength32

<a href="#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

<details>

<summary>

Refs param.Field\[\[]MessagePurgeParamsRef]

Body param

</summary>

Ref string

An opaque reference to a peeked message. You must hold on to this value and use it to purge the message.

<a href="#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20refs%20%3E%20(schema)%20%3E%20(items)%20%3E%20(property)%20ref">Link to this property</a>

</details>

<a href="#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default%20%3E%20(param)%20refs">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.messages%20%3E%20(method)%20purge%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type MessagePurgeResponse struct{…}

</summary>

<details>

<summary>

Errors \[]MessagePurgeResponseErrorOptional

Errors encountered while purging messages.

</summary>

Message stringOptional

<a href="#(resource)%20queues.messages%20%3E%20(model)%20MessagePurgeResponse%20%3E%20(schema)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20message">Link to this property</a>

</details>

<a href="#(resource)%20queues.messages%20%3E%20(model)%20MessagePurgeResponse%20%3E%20(schema)%20%3E%20(property)%20errors">Link to this property</a>

Warnings map\[string, string]Optional

Map of refs to warning messages encountered during purge.

<a href="#(resource)%20queues.messages%20%3E%20(model)%20MessagePurgeResponse%20%3E%20(schema)%20%3E%20(property)%20warnings">Link to this property</a>

</details>

[Link to this property](<#(resource)%20queues.messages%20%3E%20(model)%20MessagePurgeResponse%20%3E%20(schema)>)

### Purge Peeked Queue Messages

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/queues"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Queues.Messages.Purge(
    context.TODO(),
    "023e105f4ecef8ad9ca31a8372d0c353",
    queues.MessagePurgeParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
      Refs: cloudflare.F([]queues.MessagePurgeParamsRef{queues.MessagePurgeParamsRef{
        Ref: cloudflare.F("eyJhbGciOiJkaXIiLCJlbmMiOiJBMjU2Q0JDLUhTNTEyIn0..Q8p21d7dceR6vUfwftONdQ.JVqZgAS-Zk7MqmqccYtTHeeMElNHaOMigeWdb8LyMOg.T2_HV99CYzGaQuhTyW8RsgbnpTRZHRM6N7UoSaAKeK0"),
      }}),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Errors)
}
```

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "errors": [
      {
        "message": "message"
      }
    ],
    "warnings": {
      "foo": "string"
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 7003,
      "message": "No route for the URI",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    "string"
  ],
  "result": {
    "errors": [
      {
        "message": "message"
      }
    ],
    "warnings": {
      "foo": "string"
    }
  },
  "success": true
}
```